/*
    Quiz API Server for Fetch Examples
	Copyright 2019 Dr. Greg M. Bernstein
*/
const express = require('express');
const app = express();
app.use(express.static('public')); // For static assets
const questions = require('./questions.json');


app.get('/allQs', function (req, res) {
	res.json({questions: questions});
	}
)

app.post('/addQ', express.json(), function(req, res){
		questions.push(req.body.q);
        res.json(req.body.q);
})

const host = '127.0.0.2';
const port = '5555';
app.listen(port, host, function () {
    console.log("QuizServer.js app listening on IPv4: " + host +
        ":" + port);
});
